#
# spec file for package ghc-amazonka-sts
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name amazonka-sts
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        7.10
Summary:        Amazon Security Token Service SDK
License:        MPL-2.0
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-amazonka-core-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-amazonka-test-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-unordered-containers-devel
%endif

%description
AWS Security Token Service The AWS Security Token Service (STS) is a web
service that enables you to request temporary, limited-privilege credentials
for AWS Identity and Access Management (IAM) users or for users that you
authenticate (federated users). This guide provides descriptions of the STS
API. For more detailed information about using this service, go to
<http://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_temp.html
Temporary Security Credentials>. As an alternative to using the API, you can
use one of the AWS SDKs, which consist of libraries and sample code for various
programming languages and platforms (Java, Ruby, .NET, iOS, Android, etc.).
The SDKs provide a convenient way to create programmatic access to STS.
For example, the SDKs take care of cryptographically signing requests, managing
errors, and retrying requests automatically. For information about the AWS
SDKs, including how to download and install them, see the
<http://aws.amazon.com/tools/ Tools for Amazon Web Services page>. For
information about setting up signatures and authorization through the API, go
to <http://docs.aws.amazon.com/general/latest/gr/signing_aws_api_requests.html
Signing AWS API Requests> in the /AWS General Reference/. For general
information about the Query API, go to
<http://docs.aws.amazon.com/IAM/latest/UserGuide/IAM_UsingQueryAPI.html Making
Query Requests> in /Using IAM/. For information about using security tokens
with other AWS products, go to
<http://docs.aws.amazon.com/IAM/latest/UserGuide/reference_aws-services-that-work-with-iam.html
AWS Services That Work with IAM> in the /IAM User Guide/. If you're new to AWS
and need additional technical information about a specific AWS product, you can
find the product's technical documentation at
<http://aws.amazon.com/documentation/>. __Endpoints__ The AWS Security Token
Service (STS) has a default endpoint of https://sts.amazonaws.com that maps to
the US East (N. Virginia) region. Additional regions are available and are
activated by default. For more information, see
<http://docs.aws.amazon.com/IAM/latest/UserGuide/id_credentials_temp_enable-regions.html
Activating and Deactivating AWS STS in an AWS Region> in the /IAM User Guide/.
For information about STS endpoints, see
<http://docs.aws.amazon.com/general/latest/gr/rande.html#sts_region Regions and
Endpoints> in the /AWS General Reference/. __Recording API requests__ STS
supports AWS CloudTrail, which is a service that records AWS calls for your AWS
account and delivers log files to an Amazon S3 bucket. By using information
collected by CloudTrail, you can determine what requests were successfully made
to STS, who made the request, when it was made, and so on. To learn more about
CloudTrail, including how to turn it on and find your log files, see the
<http://docs.aws.amazon.com/awscloudtrail/latest/userguide/what_is_cloud_trail_top_level.html
AWS CloudTrail User Guide>.

The types from this library are intended to be used with
<http://hackage.haskell.org/package/amazonka amazonka>, which provides
mechanisms for specifying AuthN/AuthZ information and sending requests.

Use of lenses is required for constructing and manipulating types.
This is due to the amount of nesting of AWS types and transparency regarding
de/serialisation into more palatable Haskell values. The provided lenses should
be compatible with any of the major lens libraries such as
<http://hackage.haskell.org/package/lens lens> or
<http://hackage.haskell.org/package/lens-family-core lens-family-core>.

See "Network.AWS.STS" or <https://aws.amazon.com/documentation/ the AWS
Documentation> to get started.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
